
Foreman - Refactor #34234

Do not warn on HTTP connection from Smart proxy

01/07/2022 04:12 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Smart Proxy   

Target version: 3.2.0   

Difficulty:  Fixed in Releases: 3.2.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9020

  

Description

When ssl is enabled, pure HTTP connections on smart-proxy enabled endpoints are allowed, just to throw an warning about such

behaviour.

To support this further in Rails 6.1 would be big effort (because of #30122) with very little benefit.

Related issues:

Related to Foreman - Refactor #30122: Remove usage of force_ssl in controller Closed

Associated revisions

Revision a96fc62a - 01/14/2022 06:46 AM - Ondřej Ezr

Fixes #34234 - do not allow HTTP on SmartProxy Auth

SmartProxyAuth enabled on its endpoints HTTP to log a message, that ssl is required.

This in not necessary and it is hard to keep for the future as Rails 6.1 will make that harder.

There is not too much benefit from this, so it's better to drop it.

History

#1 - 01/07/2022 04:12 PM - Ondřej Ezr

- Related to Refactor #30122: Remove usage of force_ssl in controller added

#2 - 01/07/2022 04:17 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/9020 added

#3 - 01/14/2022 06:46 AM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#4 - 01/14/2022 07:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|a96fc62a5eb3c320983a44e068d799e465f65b0e.
